Skip to main content
`Ctrl`+`K`

# VecGetArrays

Returns a pointer to the arrays in a set of vectors that were created by a call to `VecDuplicateVecs()`.

## Synopsis

    #include "petscvec.h"
    PetscErrorCode VecGetArrays(const Vec x[], PetscInt n, PetscScalar **a[])

Logically Collective; No Fortran Support

## Input Parameters

- x - the vectors

- n - the number of vectors

## Output Parameter

- a - location to put pointer to the array

## Note

You MUST call `VecRestoreArrays()` when you no longer need access to the arrays.

## See Also

Vectors and Parallel Data, `Vec`, `VecGetArray()`, `VecRestoreArrays()`

## Level

intermediate

## Location

src/vec/vec/interface/rvector.c

Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages